

<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>gwmat &mdash; GWMAT: Gravitational Wave Microlensing Analysis Tools 1.0.0 documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=7ab3649f" />

  
      <script src="_static/jquery.js?v=5d32c60e"></script>
      <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
      <script src="_static/documentation_options.js?v=8d563738"></script>
      <script src="_static/doctools.js?v=9a2dae69"></script>
      <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            GWMAT: Gravitational Wave Microlensing Analysis Tools
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="gwmat.html">gwmat package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">GWMAT: Gravitational Wave Microlensing Analysis Tools</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">gwmat</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/modules.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="gwmat">
<h1>gwmat<a class="headerlink" href="#gwmat" title="Link to this heading"></a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="gwmat.html">gwmat package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#subpackages">Subpackages</a><ul>
<li class="toctree-l3"><a class="reference internal" href="gwmat.bilby_custom_FD_source_models.html">gwmat.bilby_custom_FD_source_models package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="gwmat.bilby_custom_FD_source_models.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.bilby_custom_FD_source_models.html#gwmat-bilby-custom-fd-source-models-eccentric-microlensed-bbh-source-module">gwmat.bilby_custom_FD_source_models.eccentric_microlensed_BBH_source module</a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.bilby_custom_FD_source_models.html#module-gwmat.bilby_custom_FD_source_models.microlensing_source">gwmat.bilby_custom_FD_source_models.microlensing_source module</a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.bilby_custom_FD_source_models.html#module-gwmat.bilby_custom_FD_source_models">Module contents</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.methods.html">gwmat.methods package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="gwmat.methods.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.methods.html#gwmat-methods-ff-computation-module">gwmat.methods.FF_computation module</a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.methods.html#module-gwmat.methods">Module contents</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.constants">gwmat.constants module</a></li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.conversion">gwmat.conversion module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.conversion.CBCParameterConversion"><code class="docutils literal notranslate"><span class="pre">CBCParameterConversion</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_to_chirp_mass"><code class="docutils literal notranslate"><span class="pre">CBCParameterConversion.component_masses_to_chirp_mass()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_to_mass_ratio"><code class="docutils literal notranslate"><span class="pre">CBCParameterConversion.component_masses_to_mass_ratio()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.conversion.CBCParameterConversion.chirp_mass_and_mass_ratio_to_component_masses"><code class="docutils literal notranslate"><span class="pre">CBCParameterConversion.chirp_mass_and_mass_ratio_to_component_masses()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_to_symmetric_mass_ratio"><code class="docutils literal notranslate"><span class="pre">CBCParameterConversion.component_masses_to_symmetric_mass_ratio()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_and_aligned_spins_to_chi_eff"><code class="docutils literal notranslate"><span class="pre">CBCParameterConversion.component_masses_and_aligned_spins_to_chi_eff()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.conversion.CBCParameterConversion.mchirp_q_aligned_spins_to_chi_eff"><code class="docutils literal notranslate"><span class="pre">CBCParameterConversion.mchirp_q_aligned_spins_to_chi_eff()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.conversion.CBCParameterConversion.mchirp_and_eta_to_component_masses"><code class="docutils literal notranslate"><span class="pre">CBCParameterConversion.mchirp_and_eta_to_component_masses()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.conversion.CBCParameterConversion.total_mass_and_mass_ratio_to_component_masses"><code class="docutils literal notranslate"><span class="pre">CBCParameterConversion.total_mass_and_mass_ratio_to_component_masses()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.conversion.CBCParameterConversion.total_mass_and_mass_ratio_to_chirp_mass"><code class="docutils literal notranslate"><span class="pre">CBCParameterConversion.total_mass_and_mass_ratio_to_chirp_mass()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_to_total_mass_and_mass_ratio"><code class="docutils literal notranslate"><span class="pre">CBCParameterConversion.component_masses_to_total_mass_and_mass_ratio()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.cosmology">gwmat.cosmology module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cosmology.Cosmology"><code class="docutils literal notranslate"><span class="pre">Cosmology</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.cosmology.Cosmology.inverse_dimensionless_hubble_parameter"><code class="docutils literal notranslate"><span class="pre">Cosmology.inverse_dimensionless_hubble_parameter()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.cosmology.Cosmology.compute_comoving_distance"><code class="docutils literal notranslate"><span class="pre">Cosmology.compute_comoving_distance()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.cosmology.Cosmology.compute_angular_diameter_distance"><code class="docutils literal notranslate"><span class="pre">Cosmology.compute_angular_diameter_distance()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.cosmology.Cosmology.angular_diameter_distance_between_redshifts"><code class="docutils literal notranslate"><span class="pre">Cosmology.angular_diameter_distance_between_redshifts()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.cosmology.Cosmology.compute_luminosity_distance"><code class="docutils literal notranslate"><span class="pre">Cosmology.compute_luminosity_distance()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.cosmology.Cosmology.find_redshift_from_comoving_distance"><code class="docutils literal notranslate"><span class="pre">Cosmology.find_redshift_from_comoving_distance()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.cosmology.Cosmology.find_redshift_from_luminosity_distance"><code class="docutils literal notranslate"><span class="pre">Cosmology.find_redshift_from_luminosity_distance()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.cythonized_point_lens">gwmat.cythonized_point_lens module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.Ff_effective"><code class="docutils literal notranslate"><span class="pre">Ff_effective()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.Fw_analytic"><code class="docutils literal notranslate"><span class="pre">Fw_analytic()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.Fw_effective"><code class="docutils literal notranslate"><span class="pre">Fw_effective()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.Fw_geometric_optics"><code class="docutils literal notranslate"><span class="pre">Fw_geometric_optics()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.Fw_quasigeometric_optics"><code class="docutils literal notranslate"><span class="pre">Fw_quasigeometric_optics()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.f_of_w"><code class="docutils literal notranslate"><span class="pre">f_of_w()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.magification_minima"><code class="docutils literal notranslate"><span class="pre">magification_minima()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.magification_saddle"><code class="docutils literal notranslate"><span class="pre">magification_saddle()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.time_delay"><code class="docutils literal notranslate"><span class="pre">time_delay()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.time_delay_dimensionless"><code class="docutils literal notranslate"><span class="pre">time_delay_dimensionless()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.w_cutoff_geometric_optics_tolerance_0p1"><code class="docutils literal notranslate"><span class="pre">w_cutoff_geometric_optics_tolerance_0p1()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.w_cutoff_geometric_optics_tolerance_1p0"><code class="docutils literal notranslate"><span class="pre">w_cutoff_geometric_optics_tolerance_1p0()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.w_cutoff_quasigeometric_optics_tolerance_0p1"><code class="docutils literal notranslate"><span class="pre">w_cutoff_quasigeometric_optics_tolerance_0p1()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.w_cutoff_quasigeometric_optics_tolerance_1p0"><code class="docutils literal notranslate"><span class="pre">w_cutoff_quasigeometric_optics_tolerance_1p0()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.w_of_f"><code class="docutils literal notranslate"><span class="pre">w_of_f()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.x_minima"><code class="docutils literal notranslate"><span class="pre">x_minima()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.cythonized_point_lens.x_saddle"><code class="docutils literal notranslate"><span class="pre">x_saddle()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.domain">gwmat.domain module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.domain.CBCParameterDomain"><code class="docutils literal notranslate"><span class="pre">CBCParameterDomain</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.domain.CBCParameterDomain.wrap_reflective"><code class="docutils literal notranslate"><span class="pre">CBCParameterDomain.wrap_reflective()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.domain.CBCParameterDomain.wrap_periodic"><code class="docutils literal notranslate"><span class="pre">CBCParameterDomain.wrap_periodic()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.domain.CBCParameterDomain.wrap"><code class="docutils literal notranslate"><span class="pre">CBCParameterDomain.wrap()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.domain.CBCParameterDomain.check_spin_component_magnitude"><code class="docutils literal notranslate"><span class="pre">CBCParameterDomain.check_spin_component_magnitude()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.domain.CBCParameterDomain.check_spin_component_domain"><code class="docutils literal notranslate"><span class="pre">CBCParameterDomain.check_spin_component_domain()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.domain.CBCParameterDomain.check_total_spin_magnitude"><code class="docutils literal notranslate"><span class="pre">CBCParameterDomain.check_total_spin_magnitude()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.domain.CBCParameterDomain.check_spin_vector_domain"><code class="docutils literal notranslate"><span class="pre">CBCParameterDomain.check_spin_vector_domain()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.domain.CBCParameterDomain.check_mass_domain"><code class="docutils literal notranslate"><span class="pre">CBCParameterDomain.check_mass_domain()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.domain.CBCParameterDomain.check_chirp_mass_domain"><code class="docutils literal notranslate"><span class="pre">CBCParameterDomain.check_chirp_mass_domain()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.domain.CBCParameterDomain.check_mass_ratio_domain"><code class="docutils literal notranslate"><span class="pre">CBCParameterDomain.check_mass_ratio_domain()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.domain.CBCParameterDomain.check_symmetric_mass_ratio_domain"><code class="docutils literal notranslate"><span class="pre">CBCParameterDomain.check_symmetric_mass_ratio_domain()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.general_utils">gwmat.general_utils module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.general_utils.GeneralUtils"><code class="docutils literal notranslate"><span class="pre">GeneralUtils</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.general_utils.GeneralUtils.print_dict"><code class="docutils literal notranslate"><span class="pre">GeneralUtils.print_dict()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.general_utils.GeneralUtils.distribute"><code class="docutils literal notranslate"><span class="pre">GeneralUtils.distribute()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.general_utils.GeneralUtils.find_nearest"><code class="docutils literal notranslate"><span class="pre">GeneralUtils.find_nearest()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.general_utils.GeneralUtils.is_num"><code class="docutils literal notranslate"><span class="pre">GeneralUtils.is_num()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.general_utils.GeneralUtils.str_num"><code class="docutils literal notranslate"><span class="pre">GeneralUtils.str_num()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.general_utils.GeneralUtils.str_float"><code class="docutils literal notranslate"><span class="pre">GeneralUtils.str_float()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.general_utils.GeneralUtils.str_y"><code class="docutils literal notranslate"><span class="pre">GeneralUtils.str_y()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.general_utils.GeneralUtils.str_m"><code class="docutils literal notranslate"><span class="pre">GeneralUtils.str_m()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.general_utils.GeneralUtils.str_to_float"><code class="docutils literal notranslate"><span class="pre">GeneralUtils.str_to_float()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.general_utils.GeneralUtils.sync_keys_in_dict"><code class="docutils literal notranslate"><span class="pre">GeneralUtils.sync_keys_in_dict()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.general_utils.GeneralUtils.check_if_dict_is_subset"><code class="docutils literal notranslate"><span class="pre">GeneralUtils.check_if_dict_is_subset()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.gw_utils">gwmat.gw_utils module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils"><code class="docutils literal notranslate"><span class="pre">GWUtils</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.r_isco"><code class="docutils literal notranslate"><span class="pre">GWUtils.r_isco()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.gw_frequency_at_kerr_isco"><code class="docutils literal notranslate"><span class="pre">GWUtils.gw_frequency_at_kerr_isco()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.gw_frequency_at_kerr_isco_from_bbh_params"><code class="docutils literal notranslate"><span class="pre">GWUtils.gw_frequency_at_kerr_isco_from_bbh_params()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.f_gw_schwarzschild_isco"><code class="docutils literal notranslate"><span class="pre">GWUtils.f_gw_schwarzschild_isco()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.f_gw_bkl_isco"><code class="docutils literal notranslate"><span class="pre">GWUtils.f_gw_bkl_isco()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.remnant_mass_and_spin_from_bbh_params"><code class="docutils literal notranslate"><span class="pre">GWUtils.remnant_mass_and_spin_from_bbh_params()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.f_220_ringdown_dimensionless"><code class="docutils literal notranslate"><span class="pre">GWUtils.f_220_ringdown_dimensionless()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.f_220_ringdown_from_bbh_params"><code class="docutils literal notranslate"><span class="pre">GWUtils.f_220_ringdown_from_bbh_params()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.compute_pycbc_match"><code class="docutils literal notranslate"><span class="pre">GWUtils.compute_pycbc_match()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.cumulative_phase"><code class="docutils literal notranslate"><span class="pre">GWUtils.cumulative_phase()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.wf_phase"><code class="docutils literal notranslate"><span class="pre">GWUtils.wf_phase()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.chirp_duration_2PN"><code class="docutils literal notranslate"><span class="pre">GWUtils.chirp_duration_2PN()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.rough_wf_duration"><code class="docutils literal notranslate"><span class="pre">GWUtils.rough_wf_duration()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.jframe_to_l0frame"><code class="docutils literal notranslate"><span class="pre">GWUtils.jframe_to_l0frame()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.l0frame_to_jframe"><code class="docutils literal notranslate"><span class="pre">GWUtils.l0frame_to_jframe()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.gw_wf_approximants_in_lal"><code class="docutils literal notranslate"><span class="pre">GWUtils.gw_wf_approximants_in_lal()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.cyclic_time_shift_of_wf"><code class="docutils literal notranslate"><span class="pre">GWUtils.cyclic_time_shift_of_wf()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.set_delta_f_based_on_total_mass"><code class="docutils literal notranslate"><span class="pre">GWUtils.set_delta_f_based_on_total_mass()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.set_sample_rate_based_on_total_mass"><code class="docutils literal notranslate"><span class="pre">GWUtils.set_sample_rate_based_on_total_mass()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.hertz_to_mass_rescaled_frequency"><code class="docutils literal notranslate"><span class="pre">GWUtils.hertz_to_mass_rescaled_frequency()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.mass_rescaled_frequency_to_hertz"><code class="docutils literal notranslate"><span class="pre">GWUtils.mass_rescaled_frequency_to_hertz()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.seconds_to_mass_rescaled_time"><code class="docutils literal notranslate"><span class="pre">GWUtils.seconds_to_mass_rescaled_time()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.mass_rescaled_time_to_seconds"><code class="docutils literal notranslate"><span class="pre">GWUtils.mass_rescaled_time_to_seconds()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.gw_utils.GWUtils.list_available_psds"><code class="docutils literal notranslate"><span class="pre">GWUtils.list_available_psds()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.injection">gwmat.injection module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection"><code class="docutils literal notranslate"><span class="pre">CBCInjection</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.initialize_params"><code class="docutils literal notranslate"><span class="pre">CBCInjection.initialize_params()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.convert_jframe_params_to_lframe_if_present"><code class="docutils literal notranslate"><span class="pre">CBCInjection.convert_jframe_params_to_lframe_if_present()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.perform_cyclic_time_shift_on_hp_hc"><code class="docutils literal notranslate"><span class="pre">CBCInjection.perform_cyclic_time_shift_on_hp_hc()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.perform_tapering_on_hp_hc"><code class="docutils literal notranslate"><span class="pre">CBCInjection.perform_tapering_on_hp_hc()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.pad_hp_hc_at_start"><code class="docutils literal notranslate"><span class="pre">CBCInjection.pad_hp_hc_at_start()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.process_td_wf_models_output"><code class="docutils literal notranslate"><span class="pre">CBCInjection.process_td_wf_models_output()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.process_fd_wf_models_output"><code class="docutils literal notranslate"><span class="pre">CBCInjection.process_fd_wf_models_output()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.process_get_td_waveform_object"><code class="docutils literal notranslate"><span class="pre">CBCInjection.process_get_td_waveform_object()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.process_get_fd_waveform_object"><code class="docutils literal notranslate"><span class="pre">CBCInjection.process_get_fd_waveform_object()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.convert_td_hp_hc_to_fd_wfs"><code class="docutils literal notranslate"><span class="pre">CBCInjection.convert_td_hp_hc_to_fd_wfs()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.convert_fd_hp_hc_to_td_wfs"><code class="docutils literal notranslate"><span class="pre">CBCInjection.convert_fd_hp_hc_to_td_wfs()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.generate_unlensed_waveforms"><code class="docutils literal notranslate"><span class="pre">CBCInjection.generate_unlensed_waveforms()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.modify_signal_start_time"><code class="docutils literal notranslate"><span class="pre">CBCInjection.modify_signal_start_time()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.modify_signal_end_time"><code class="docutils literal notranslate"><span class="pre">CBCInjection.modify_signal_end_time()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.adjust_signal_length_to_power_of_2"><code class="docutils literal notranslate"><span class="pre">CBCInjection.adjust_signal_length_to_power_of_2()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.apply_lensing_amplification_factor"><code class="docutils literal notranslate"><span class="pre">CBCInjection.apply_lensing_amplification_factor()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.generate_gw_polarizations_hp_hc"><code class="docutils literal notranslate"><span class="pre">CBCInjection.generate_gw_polarizations_hp_hc()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.simulate_zero_noise_injection"><code class="docutils literal notranslate"><span class="pre">CBCInjection.simulate_zero_noise_injection()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.replace_zeros_with_small_values"><code class="docutils literal notranslate"><span class="pre">CBCInjection.replace_zeros_with_small_values()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.generate_psd"><code class="docutils literal notranslate"><span class="pre">CBCInjection.generate_psd()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.add_noise_to_gw_signal"><code class="docutils literal notranslate"><span class="pre">CBCInjection.add_noise_to_gw_signal()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.get_psd_file_dict"><code class="docutils literal notranslate"><span class="pre">CBCInjection.get_psd_file_dict()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.simulate_noisy_injection"><code class="docutils literal notranslate"><span class="pre">CBCInjection.simulate_noisy_injection()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.simulate_injection_with_comprehensive_output"><code class="docutils literal notranslate"><span class="pre">CBCInjection.simulate_injection_with_comprehensive_output()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.network_optimal_snr_to_distance"><code class="docutils literal notranslate"><span class="pre">CBCInjection.network_optimal_snr_to_distance()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.injection.CBCInjection.network_matched_filter_snr_to_distance"><code class="docutils literal notranslate"><span class="pre">CBCInjection.network_matched_filter_snr_to_distance()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.nr_injection">gwmat.nr_injection module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection"><code class="docutils literal notranslate"><span class="pre">NRInjection</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.initialize_params"><code class="docutils literal notranslate"><span class="pre">NRInjection.initialize_params()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.sxs_catalog"><code class="docutils literal notranslate"><span class="pre">NRInjection.sxs_catalog</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.nrcatalogtools_sxscatalog"><code class="docutils literal notranslate"><span class="pre">NRInjection.nrcatalogtools_sxscatalog</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.determine_minimum_total_mass_for_a_given_f22_start"><code class="docutils literal notranslate"><span class="pre">NRInjection.determine_minimum_total_mass_for_a_given_f22_start()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.compute_chi_p"><code class="docutils literal notranslate"><span class="pre">NRInjection.compute_chi_p()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.load_sxs_catalog"><code class="docutils literal notranslate"><span class="pre">NRInjection.load_sxs_catalog()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.get_sxs_dataframe"><code class="docutils literal notranslate"><span class="pre">NRInjection.get_sxs_dataframe()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.get_useful_parameters"><code class="docutils literal notranslate"><span class="pre">NRInjection.get_useful_parameters()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.load_sxs_catalog_through_nrcatalogtools"><code class="docutils literal notranslate"><span class="pre">NRInjection.load_sxs_catalog_through_nrcatalogtools()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.generate_nr_gw_polarizations_hp_hc"><code class="docutils literal notranslate"><span class="pre">NRInjection.generate_nr_gw_polarizations_hp_hc()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.simulate_zero_noise_nr_injection"><code class="docutils literal notranslate"><span class="pre">NRInjection.simulate_zero_noise_nr_injection()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.simulate_noisy_nr_injection"><code class="docutils literal notranslate"><span class="pre">NRInjection.simulate_noisy_nr_injection()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.simulate_nr_injection_with_comprehensive_output"><code class="docutils literal notranslate"><span class="pre">NRInjection.simulate_nr_injection_with_comprehensive_output()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.network_optimal_snr_to_distance"><code class="docutils literal notranslate"><span class="pre">NRInjection.network_optimal_snr_to_distance()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.network_matched_filter_snr_to_distance"><code class="docutils literal notranslate"><span class="pre">NRInjection.network_matched_filter_snr_to_distance()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.filter_sxs_simulations_by_AND_conditions"><code class="docutils literal notranslate"><span class="pre">NRInjection.filter_sxs_simulations_by_AND_conditions()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.nr_injection.NRInjection.filter_sxs_simulations_by_OR_conditions"><code class="docutils literal notranslate"><span class="pre">NRInjection.filter_sxs_simulations_by_OR_conditions()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.point_lens">gwmat.point_lens module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens"><code class="docutils literal notranslate"><span class="pre">PointLens</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.x_minima"><code class="docutils literal notranslate"><span class="pre">PointLens.x_minima()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.x_saddle"><code class="docutils literal notranslate"><span class="pre">PointLens.x_saddle()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.magification_minima"><code class="docutils literal notranslate"><span class="pre">PointLens.magification_minima()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.magification_saddle"><code class="docutils literal notranslate"><span class="pre">PointLens.magification_saddle()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.time_delay_dimensionless"><code class="docutils literal notranslate"><span class="pre">PointLens.time_delay_dimensionless()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.time_delay"><code class="docutils literal notranslate"><span class="pre">PointLens.time_delay()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.Fw_geometric_optics"><code class="docutils literal notranslate"><span class="pre">PointLens.Fw_geometric_optics()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.Fw_quasigeometric_optics"><code class="docutils literal notranslate"><span class="pre">PointLens.Fw_quasigeometric_optics()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.w_of_f"><code class="docutils literal notranslate"><span class="pre">PointLens.w_of_f()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.f_of_w"><code class="docutils literal notranslate"><span class="pre">PointLens.f_of_w()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.w_cutoff_geometric_optics_tolerance_0p1"><code class="docutils literal notranslate"><span class="pre">PointLens.w_cutoff_geometric_optics_tolerance_0p1()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.w_cutoff_geometric_optics_tolerance_1p0"><code class="docutils literal notranslate"><span class="pre">PointLens.w_cutoff_geometric_optics_tolerance_1p0()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.w_cutoff_quasigeometric_optics_tolerance_0p1"><code class="docutils literal notranslate"><span class="pre">PointLens.w_cutoff_quasigeometric_optics_tolerance_0p1()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.w_cutoff_quasigeometric_optics_tolerance_1p0"><code class="docutils literal notranslate"><span class="pre">PointLens.w_cutoff_quasigeometric_optics_tolerance_1p0()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.Fw_analytic"><code class="docutils literal notranslate"><span class="pre">PointLens.Fw_analytic()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.Fw_effective"><code class="docutils literal notranslate"><span class="pre">PointLens.Fw_effective()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.Ff_effective"><code class="docutils literal notranslate"><span class="pre">PointLens.Ff_effective()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.Fw_effective_map"><code class="docutils literal notranslate"><span class="pre">PointLens.Fw_effective_map()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.Ff_effective_map"><code class="docutils literal notranslate"><span class="pre">PointLens.Ff_effective_map()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.Fw_analytic_map"><code class="docutils literal notranslate"><span class="pre">PointLens.Fw_analytic_map()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.Ff_analytic"><code class="docutils literal notranslate"><span class="pre">PointLens.Ff_analytic()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.Ff_analytic_map"><code class="docutils literal notranslate"><span class="pre">PointLens.Ff_analytic_map()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.Ff_geometric_optics"><code class="docutils literal notranslate"><span class="pre">PointLens.Ff_geometric_optics()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="gwmat.html#gwmat.point_lens.PointLens.Ff_quasigeometric_optics"><code class="docutils literal notranslate"><span class="pre">PointLens.Ff_quasigeometric_optics()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="gwmat.html#gwmat.configure_parameters"><code class="docutils literal notranslate"><span class="pre">configure_parameters()</span></code></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</section>


           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Anuj Mishra.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>